
#include "UnitAction.h"
#include "Unit.h"
#include "UnitActionManager.h"

#include "MemoryManager/debugNew.h"

UnitAction::UnitAction(Unit*u, unitEnumeration::UnitState state){
	unit = u;
	this->unitState = state;
}

UnitAction::~UnitAction(void)
{
}

void UnitAction::dispose(){
	UnitActionManager::getInstance().dispose(this);
}

